android error: android cannot resolve com.android.support:appcompat-v7:26.0.0-alpha1


android cannot resolve com.android.support:appcompat-v7:26.0.0-alpha1

there should be compile “com.android.support:appcompat-v7:” in your android/app/build.gradle.

change its number to 26.0.1 so that the compile line is compile "com.android.support:appcompat-v7:26.0.1"

make sure to set the compile and build tools version to the same (at the top of the same file):

compileSdkVersion 26
buildToolsVersion "26.0.1"

app build.gradle: build.gradle Module app

android {
    compileSdkVersion 26
    buildToolsVersion "26.0.1"

In my project build.gradle:

allprojects {
    repositories {
        mavenLocal()
        jcenter()
        maven {
            url 'https://maven.google.com'
        }
        maven {
            // All of React Native (JS, Obj-C sources, Android binaries) is installed from npm
            url "$rootDir/../node_modules/react-native/android"
        }
    }
}

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s